
QGIS Application - Bug report #10028

Map composer freeze

2014-04-09 12:51 AM - Julien K

Status: Closed

Priority: Normal

Assignee:
Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18513

Description

Dear QGis coders,

I'm using LayerCombinations to create different maps outputs and after several changes to the map elements (legend, mapscale,

scalebar...) they become unresponsive to mouse actions (select/move/resize...). It has been observed on QGis-master and QGis-2.2 from

osgeo4w running on Win7.

I can still select them by using the commands "Select next item below/above" from the "Edit" menu and edit their properties in the panel. I

still can save, export and print but I cannot add another element to the map (and if I try too hard the whole app would eventually crash...).

The others composers windows and the main QGis window (map view) still work but I need to restart QGis to get the frozen composer

back to life.

There's no simple way to reproduce this behaviour, I didn't managed to clearly identify a chain of actions that would lead to the freeze,

but:

 - the freeze always happens after editing an object's property (width/height/scale...) using the side panel,

 - I'm pretty sure it doesn't happen when LayerCombinations is disabled so I made a similar bug report on Olivier Dalang's repository...

Regards,

Julien

History

#1 - 2014-04-20 03:17 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Since this is only reproducible when LayerCombinations is active I'm going to close this bug for now. If it turns out that's there's a problem without the

plugin enabled (or if it's an obscure bug in QGIS which the plugin is exposing) I'll reopen.

#2 - 2014-06-01 05:08 PM - Tom Grundy

Jumping over here from Issue #10143 - Julien, could you please see if the latest code version fixes your symptoms?  I can't tell exactly if they are the same

symptoms and causes as reported in 10143.  Please take a look there if you want to see an exact sequence that triggers the unresponsive composer.

Since I'm not sure if the symptoms are the same, all I can say is that in 2.2.0 the unresponsive behavior is triggered in the same way as in 10143 either with

or without Layer Combinations, and in the same version that it was fixed in for 10143, it appears fixed with or without Layer Combinations.  So, I don't think

Layer Combinations is completely independent of the fix.

2025-04-27 1/2



Related - Layer Combinations is still subject to Issue #10172 "html annotation does not respect composer setting 'Lock layers for map item'" - since html

annotation is now in the base install, any chance of getting a bug fix there?

Thanks
